local revision = tonumber(("$Revision: 67748 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-04-02 15:18:36 -0700 (Wed, 02 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("AX_RaidStatus", "AX_RaidStatus")
if not Addon then return end

local prev
function Addon:Start()
	-- unlock the window
	prev = AXRS.db.profile.settings.lock
	AXRS.db.profile.settings.lock = false

    -- show the dummy raid
	axrsdummyraid = true
	AXRS:CreateDummyRaid()
end

function Addon:Stop()
	-- kill the dummy raid
	axrsdummyraid = false
	AXRS:LeaveRaid()

	-- set lock state to previous
	AXRS.db.profile.settings.lock = prev
end
