local revision = tonumber(("$Revision: 67748 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
    NSD_REVISION = revision
    NSD_DATE = ("$Date: 2008-04-02 18:18:36 -0400 (Wed, 02 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("Omen", "Omen")
if not Addon then return end

local prevlock, prevshow
function Addon:Start()
	-- unlock the window
	prevlock = Omen.Options["Lock"]
	Omen.Options["Lock"] = false
	Omen:UpdateDisplay()

    -- show omen
    prevshow = Omen:GetOption("Show")
    Omen:Toggle(true)

    -- show the test bars
    Omen:Test()
end

function Addon:Stop()
	-- hide the test bars
	Omen:ClearBars()

	-- set show state to previous
    Omen:Toggle(prevshow)

	-- set lock state to previous
	Omen.Options["Lock"] = prevlock
	Omen:UpdateDisplay()
end