local revision = tonumber(("$Revision: 67733 $"):match("%d+"))
if not NSD_REVISION or revision > NSD_REVISION then
	NSD_REVISION = revision
	NSD_DATE = ("$Date: 2008-04-02 15:52:42 -0400 (Wed, 02 Apr 2008) $"):match("%d%d%d%d%-%d%d%-%d%d")
end

local Addon = AddonBase:new("WitchHunt", "WitchHunt")
if not Addon then return end

local function test()
	local name, rank, icon = GetSpellInfo(30910)
	WitchHunt:SendMessage("WitchHunt_Message", WitchHunt:GetFormatted("format_cast", "Ammo", "Curse of Doom"), icon)
	WitchHunt:SendMessage("WitchHunt_Message", WitchHunt:GetFormatted("format_gain", "Ammo", "Powers of Doom"), icon)
end
local prev, active
local PERIOD = 2
local LRT = Rock("LibRockTimer-1.0")
function Addon:Start()
	-- unlock the frame
	if WitchHunt.db.profile.sinkOptions.sink20OutputSink == "Witch" then
		active = true
		prev = WitchHunt.db.profile.lock
		WitchHunt.db.profile.lock = false
		WitchHunt:UpdateDisplay()
	end

	-- show the test
	test()
	LRT:AddRepeatingTimer("WitchHuntShakedown", PERIOD, test)
end

function Addon:Stop()
	LRT:RemoveTimer("WitchHuntShakedown")
	if active then
		WitchHunt.db.profile.lock = prev
		WitchHunt:UpdateDisplay()
	end
end
